Bug 234863 - multimedia/libav: fails to build on i386 with lld as system linker
Summary: multimedia/libav: fails to build on i386 with lld as system linker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks: 214864
  Show dependency treegraph
 
Reported: 2019-01-11 14:12 UTC by Ed Maste
Modified: 2019-02-02 19:16 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-01-11 14:12:25 UTC
http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2019-01-05_21h00m02s
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2019-01-05_21h00m02s/logs/errors/libav-12.3.log

ld: error: can't create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC or pass '-Wl,-z,notext' to allow text relocations in the output
>>> defined in libavutil/aes.o
>>> referenced by aes.c
>>>               libavutil/aes.o:(av_aes_crypt)

ld: error: can't create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC or pass '-Wl,-z,notext' to allow text relocations in the output
>>> defined in libavutil/aes.o
>>> referenced by aes.c
>>>               libavutil/aes.o:(av_aes_crypt)

ld: error: can't create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC or pass '-Wl,-z,notext' to allow text relocations in the output
>>> defined in libavutil/aes.o
>>> referenced by aes.c
>>>               libavutil/aes.o:(av_aes_crypt)
...
Comment 1 Thomas Zander freebsd_committer 2019-02-02 14:26:48 UTC
Feedback timeout
Comment 2 commit-hook freebsd_committer 2019-02-02 19:15:44 UTC
A commit references this bug:

Author: riggs
Date: Sat Feb  2 19:15:16 UTC 2019
New revision: 491976
URL: https://svnweb.freebsd.org/changeset/ports/491976

Log:
  Use LLD_UNSAFE on i386

  PR:		234863
  Submitted by:	emaste
  Approved by:	maintainer timeout

Changes:
  head/multimedia/libav/Makefile